-- creep.lua

local hero = require "hero"

creep = {}

function creep.load()

	hero.load()

	creep = {}
		creep.x = 100
		creep.y = 400
		creep.w = 16
		creep.h = 16
		creep.xv = 0
		creep.yv = 0
		creep.speed = 140
		creep.view = 200

end

function creep.update(dt)

	local x, y = hero.getPosition(x, y)

	local a = x - creep.x
	local b = y - creep.y
	local c = math.sqrt(a*a + b*b)

	if math.abs(c) <= creep.view then

		creep.xv = a/c*creep.speed
		creep.yv = b/c*creep.speed	

	end

end

function creep.draw()

	love.graphics.setColor(255, 0, 0)
		love.graphics.rectangle('fill', creep.x, creep.y, creep.w, creep.h)

end

return creep